Package com.arms.config

## Class KafkaLagMonitor

- java.lang.Object
- - com.arms.config.KafkaLagMonitor

-     @Component
      public class KafkaLagMonitor
      extends java.lang.Object

  Kafka Consumer Lag Monitor 토픽의 남은 메시지 개수(Consumer Lag)를 실시간으로 조회 주요 기능: 1. 토픽별 전체 Lag 조회 2. 파티션별 상세 Lag 조회 3. Consumer Group 오프셋 모니터링
  Since:
    2025

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaLagMonitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getConsumerLag​(java.lang.String topic)` | 특정 토픽의 Consumer Lag 조회 Lag = End Offset (최신 오프셋) - Current Offset (현재 처리한 오프셋)
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getConsumerStatus​(java.lang.String topic)` | Consumer Group의 전체 상태 정보 조회
    `java.util.Map<java.lang.Integer,​java.lang.Long>` | `getDetailedLag​(java.lang.String topic)` | 파티션별 상세 Lag 정보 조회

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KafkaLagMonitor

          public KafkaLagMonitor()

  - ### Method Detail

    - #### getConsumerLag

          public long getConsumerLag​(java.lang.String topic)

      특정 토픽의 Consumer Lag 조회 Lag = End Offset (최신 오프셋) - Current Offset (현재 처리한 오프셋)
      Parameters:
        `topic` - 토픽 이름
      Returns:
        남은 메시지 개수 (모든 파티션 합계), 실패 시 -1

    - #### getDetailedLag

          public java.util.Map<java.lang.Integer,​java.lang.Long> getDetailedLag​(java.lang.String topic)

      파티션별 상세 Lag 정보 조회
      Parameters:
        `topic` - 토픽 이름
      Returns:
        파티션 번호별 Lag 맵

    - #### getConsumerStatus

          public java.util.Map<java.lang.String,​java.lang.Object> getConsumerStatus​(java.lang.String topic)

      Consumer Group의 전체 상태 정보 조회
      Parameters:
        `topic` - 토픽 이름
      Returns:
        상태 정보 맵